module FoundationHelper
  {
    one: 1,
    two: 2,
    three: 3,
    four: 4,
    five: 5,
    six: 6,
    seven: 7,
    eight: 8,
    nine: 9,
    ten: 10,
    eleven: 11,
    twelve: 12
  }.each do |w,n|
    define_method("#{w}_block".to_sym) do |content=nil, options={}, &block|
      klass = "large-#{options[:large] || n} small-#{options[:small] || n} columns"
      klass << " #{options[:class]}" if options[:class].present?
      options[:class] = klass
      content_tag(options[:tag] || :div, content || options[:content] || capture("".html_safe,&block), options)
    end
  end

  def row(options={}, &block)
    klass = "row"
    klass << " #{options[:class]}" if options[:class].present?
    options[:class] = klass
    content_tag(:div, capture("".html_safe, &block), options)
  end
end
